=== main/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = debian/tmp/usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/RA
pkglibdir = $(libdir)/RA
pkgincludedir = $(includedir)/RA

top_builddir = ..

ACLOCAL = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing aclocal
AUTOCONF = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing autoconf
AUTOMAKE = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing automake
AUTOHEADER = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = gcc
EMACS = /usr/bin/emacs
INCLUDES =  -I$(top_srcdir) -I$(top_srcdir)/savutil -I$(top_srcdir)/template -I$(top_srcdir)/wordvec
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = RA
RANLIB = ranlib
VERSION = 1.41
YACC = bison -y
lispdir = $(datadir)/emacs/site-lisp

bin_PROGRAMS=ra-index ra-merge ra-retrieve

ra_index_SOURCES=imain.c index.c
ra_index_LDADD=-lsavantio -ltemplate -lsavutil -ldate -lm
ra_index_LDFLAGS=-L$(top_builddir)/savutil -L$(top_builddir)/wordvec \
	-L$(top_builddir)/savutil/parsedate -L$(top_builddir)/template
ra_index_DEPENDENCIES=$(top_builddir)/savutil/libsavutil.a \
	$(top_builddir)/savutil/parsedate/libdate.a \
	$(top_builddir)/template/libtemplate.a \
	$(top_builddir)/wordvec/libsavantio.a 

ra_merge_SOURCES=mmain.c
ra_merge_LDADD=-lsavantio -ltemplate -lsavutil -ldate -lm
ra_merge_LDFLAGS=-L$(top_builddir)/savutil -L$(top_builddir)/wordvec \
	-L$(top_builddir)/savutil/parsedate -L$(top_builddir)/template
ra_merge_DEPENDENCIES=$(top_builddir)/savutil/libsavutil.a \
	$(top_builddir)/savutil/parsedate/libdate.a \
	$(top_builddir)/template/libtemplate.a \
	$(top_builddir)/wordvec/libsavantio.a 

ra_retrieve_SOURCES=rmain.c retrieve.c
ra_retrieve_LDADD=-lsavantio -ltemplate -lsavutil -ldate -lm
ra_retrieve_LDFLAGS=-L$(top_builddir)/savutil -L$(top_builddir)/wordvec \
	-L$(top_builddir)/savutil/parsedate -L$(top_builddir)/template 
ra_retrieve_DEPENDENCIES=$(top_builddir)/savutil/libsavutil.a \
	$(top_builddir)/savutil/parsedate/libdate.a \
	$(top_builddir)/template/libtemplate.a \
	$(top_builddir)/wordvec/libsavantio.a 

EXTRA_DIST=main.h
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
ra_index_OBJECTS =  imain.o index.o
ra_merge_OBJECTS =  mmain.o
ra_retrieve_OBJECTS =  rmain.o retrieve.o
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
SOURCES = $(ra_index_SOURCES) $(ra_merge_SOURCES) $(ra_retrieve_SOURCES)
OBJECTS = $(ra_index_OBJECTS) $(ra_merge_OBJECTS) $(ra_retrieve_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps main/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

ra-index: $(ra_index_OBJECTS) $(ra_index_DEPENDENCIES)
	@rm -f ra-index
	$(LINK) $(ra_index_LDFLAGS) $(ra_index_OBJECTS) $(ra_index_LDADD) $(LIBS)

ra-merge: $(ra_merge_OBJECTS) $(ra_merge_DEPENDENCIES)
	@rm -f ra-merge
	$(LINK) $(ra_merge_LDFLAGS) $(ra_merge_OBJECTS) $(ra_merge_LDADD) $(LIBS)

ra-retrieve: $(ra_retrieve_OBJECTS) $(ra_retrieve_DEPENDENCIES)
	@rm -f ra-retrieve
	$(LINK) $(ra_retrieve_LDFLAGS) $(ra_retrieve_OBJECTS) $(ra_retrieve_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = main

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS

all: Makefile $(PROGRAMS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(bindir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-tags maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info dvi installcheck \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


$(top_builddir)/savutil/parsedate/libdate.a:
	cd $(top_builddir)/savutil/parsedate; make libdate.a

$(top_builddir)/savutil/libsavutil.a:
	cd $(top_builddir)/savutil; make libsavutil.a

$(top_builddir)/template/libtemplate.a:
	cd $(top_builddir)/template; make libtemplate.a

$(top_builddir)/wordvec/libsavantio.a:
	cd $(top_builddir)/wordvec; make libsavantio.a

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
