=== other/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = debian/tmp/usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/RA
pkglibdir = $(libdir)/RA
pkgincludedir = $(includedir)/RA

top_builddir = ..

ACLOCAL = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing aclocal
AUTOCONF = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing autoconf
AUTOMAKE = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing automake
AUTOHEADER = /var/tmp/jfs/debian/remembrance-agent/remembrance-agent-1.41/missing autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = gcc
EMACS = /usr/bin/emacs
INCLUDES =  -I$(top_srcdir) -I$(top_srcdir)/savutil -I$(top_srcdir)/template -I$(top_srcdir)/wordvec
LN_S = ln -s
MAKEINFO = makeinfo
PACKAGE = RA
RANLIB = ranlib
VERSION = 1.41
YACC = bison -y
lispdir = $(datadir)/emacs/site-lisp

lisp_LISP=remem-display-mode.el

EXTRA_DIST=README README.nescience README.old remem-display-mode.el \
	savant.internals savantrc vector.doc
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LISP =  $(lisp_LISP)

ELCFILES =  remem-display-mode.elc
DIST_COMMON =  README Makefile.am Makefile.in elisp-comp


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
default: all

.SUFFIXES:
.SUFFIXES: .el .elc
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps other/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-lispLISP: $(lisp_LISP) $(ELCFILES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(lispdir)
	@list='$(lisp_LISP)'; for p in $$list; do \
	  echo " $(INSTALL_DATA) $(srcdir)/$$p $(lispdir)/$$p"; \
	  $(INSTALL_DATA) $(srcdir)/$$p $(lispdir)/$$p; \
	  if test -f $${p}c; then \
	    echo " $(INSTALL_DATA) $${p}c $(lispdir)/$${p}c"; \
	    $(INSTALL_DATA) $${p}c $(lispdir)/$${p}c; \
	  else : ; fi; \
	done

uninstall-lispLISP:
	$(NORMAL_UNINSTALL)
	list='$(lisp_LISP)'; for p in $$list; do \
	  rm -f $(lispdir)/$$p $(lispdir)/$${p}c; \
	done
.el.elc:
	@echo 'WARNING: Warnings can be ignored. :-)'
	if test $(EMACS) != no; then \
	  EMACS=$(EMACS) $(SHELL) $(srcdir)/elisp-comp $<; \
	fi
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = other

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: install-lispLISP
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-lispLISP

all: Makefile $(LISP) $(ELCFILES)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(lispdir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-lisp mostlyclean-generic

clean:  clean-lisp clean-generic mostlyclean

distclean:  distclean-lisp distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-lisp maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default uninstall-lispLISP install-lispLISP mostlyclean-lisp \
distclean-lisp clean-lisp maintainer-clean-lisp tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


mostlyclean-lisp clean-lisp distclean-lisp maintainer-clean-lisp:
	rm -f $(ELCFILES)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
