=== debian/changelog ===
remembrance-agent (1.41-6) stable; urgency=high

  * Moved to non-free there was an error made by the upsream maintainer (read copyright file).

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  4 May 1999 20:56:24 +0200

remembrance-agent (1.41-5) unstable; urgency=low

  * Added URL of remembrance agent to copyright file
  * Modified postint (fixes bug #30715)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 26 Feb 1999 00:36:20 +0100

remembrance-agent (1.41-4) unstable; urgency=low

  *  Modified postinst script to configure correctly the .el file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Dec 1998 23:25:43 +0100

remembrance-agent (1.41-3) unstable; urgency=low

  * Added template for SGML documents in savantrc, recognise author,
    date and title.
  * Observed problem with unclosed <title> tags, causes problems with
    SGML documents (recognised as HTML), and HTML with unclosed tags.
    Fixed template of HTML format.
  * Modified source to allow/disallow following symbolic links in
    ra-index, default disallow (to avoid loopholes)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 12 Oct 1998 21:26:55 +0200

remembrance-agent (1.41-2) unstable; urgency=low

  * Fixed location of site-lisp from usr/share/emacs19/site-lisp to
    usr/share/emacs/site-lisp (bug #27260)
  * Removed package name from one-line description
  * Added undocumented to ra-merge (fixes lintian error)
  * Added link to /usr/doc/copyright/GPL (fixes lintian error)
  * Fixed permissions of script (fixes lintian error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 30 Sep 1998 16:33:44 +0200

remembrance-agent (1.41-1) unstable; urgency=low

  * 
  * Changed name from ra to 'remembrance-agent' for clarity
  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 6 Sep 1998 06:36:38 +0200 

Local variables:
mode: debian-changelog
End:
