=== debian/control ===
Source: remembrance-agent
Section: non-free/misc
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 2.4.0.0

Package: remembrance-agent
Architecture: any
Depends: emacs19,${shlibs:Depends}
Description: Emacs mode to help find relevant texts 
 The Remembrance Agent is one of the projects being developed by the MIT
 Media Lab's software agents group.  Given a collection of the user's
 accumulated email, usenet news articles, papers, saved HTML files and other
 text notes, it attempts to find those documents which are most relevant to
 the user's current context.  That is, it searches this collection of text
 for the documents which bear the highest word-for-word similarity to the
 text the user is currently editing, in the hope that they will also bear
 high conceptual similarity and thus be useful to the user's current work.
 These suggestions are continuously displayed in a small buffer at the
 bottom of the user's emacs buffer.  If a suggestion looks useful, the full
 text can be retrieved with a single command.
